# Generated by Django 2.0.2 on 2018-03-03 13:29

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Card',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, unique=True)),
                ('rarity', models.CharField(max_length=32)),
                ('standard_legal', models.BooleanField()),
                ('modern_legal', models.BooleanField()),
                ('legacy_legal', models.BooleanField()),
                ('vintage_legal', models.BooleanField()),
            ],
        ),
        migrations.CreateModel(
            name='Print',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('goldfish_price', models.FloatField(blank=True, null=True)),
                ('buy_price', models.FloatField(blank=True, null=True)),
                ('sell_price', models.FloatField(blank=True, null=True)),
                ('card', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mtg.Card')),
            ],
        ),
        migrations.CreateModel(
            name='Set',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64, unique=True)),
                ('code', models.CharField(max_length=8)),
                ('release_date', models.DateField()),
            ],
        ),
        migrations.AddField(
            model_name='print',
            name='set',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mtg.Set'),
        ),
        migrations.AddField(
            model_name='card',
            name='sets',
            field=models.ManyToManyField(through='mtg.Print', to='mtg.Set'),
        ),
    ]
